org.eclipse.net4j.jvm

## Interface IJVMAcceptorManager

-     public interface IJVMAcceptorManager

  A singleton that manages all `JVM acceptors` in the current JVM.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IJVMAcceptorManager` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IJVMAcceptor` | `getAcceptor(String name)`
    `IRegistry<String,IJVMAcceptor>` | `getAcceptorRegistry()`

- - ### Field Detail

    - #### INSTANCE

          static final IJVMAcceptorManager INSTANCE

  - ### Method Detail

    - #### getAcceptorRegistry

          IRegistry<String,IJVMAcceptor> getAcceptorRegistry()

    - #### getAcceptor

          IJVMAcceptor getAcceptor(String name)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html